Bug 260695 - databases/sqldeveloper: Update to 21.4.1.349.1822
Summary: databases/sqldeveloper: Update to 21.4.1.349.1822
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://www.oracle.com/tools/sqldev/s...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-26 07:48 UTC by Chris Moerz
Modified: 2022-01-12 19:12 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly?


Attachments
patch for update databases/sqldeveloper to 21.4.1.349.1822 (7.05 KB, patch)
2021-12-26 07:48 UTC, Chris Moerz
freebsd: maintainer-approval+
freebsd: maintainer-approval+
Details | Diff
Poudriere Log (51.20 KB, text/plain)
2021-12-26 07:49 UTC, Chris Moerz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Moerz 2021-12-26 07:48:26 UTC
Created attachment 230414 [details]
patch for update databases/sqldeveloper to 21.4.1.349.1822

As title says: patch for updating sqldeveloper to latest upstream version.

Poudriere log will follow in a moment.
Comment 1 Chris Moerz 2021-12-26 07:49:06 UTC
Created attachment 230415 [details]
Poudriere Log

Poudriere Log for FreeBSD 13
Comment 2 VVD 2021-12-26 12:32:01 UTC
Comment on attachment 230414 [details]
patch for update databases/sqldeveloper to 21.4.1.349.1822

Tested on 12.2 amd64.
Comment 3 VVD 2021-12-26 12:33:35 UTC
Can't find how to set maintainer-approval+ on patch.
Comment 4 Chris Hutchinson 2021-12-26 19:53:51 UTC
(In reply to VVD from comment #3)
Within the Attachments section, and on the right-hand side of your patch;
choose "Details"
From there, you'll see a "flags" section just under the diff/patch box.
Choose accordingly; the "+" from the select menu.

HTH

-- Chris
Comment 5 VVD 2021-12-26 20:23:37 UTC
Comment on attachment 230414 [details]
patch for update databases/sqldeveloper to 21.4.1.349.1822

Already tried - doesn't work.
Comment 6 Chris Moerz 2021-12-26 20:33:45 UTC
Comment on attachment 230414 [details]
patch for update databases/sqldeveloper to 21.4.1.349.1822

added maintainer approval post feedback
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2021-12-26 23:08:35 UTC
^Triage: 

 - [tags] in issue Titles are deprecated
 - Bugfix release, MFH
Comment 8 VVD 2022-01-03 15:02:12 UTC
Commit?
Comment 9 commit-hook freebsd_committer 2022-01-12 19:11:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e5c349d6921e520bbe75750928b273ce000878e0

commit e5c349d6921e520bbe75750928b273ce000878e0
Author:     Chris Moerz <freebsd@ny-central.org>
AuthorDate: 2022-01-12 19:08:42 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-01-12 19:10:48 +0000

    databases/sqldeveloper: Update to 21.4.1.349.1822

    PR:             260695
    Approved by:    VVD <vvd@unislabs.com> (maintainer)

 databases/sqldeveloper/Makefile  |  2 +-
 databases/sqldeveloper/distinfo  |  6 +++---
 databases/sqldeveloper/pkg-plist | 23 ++++++++++++++++-------
 3 files changed, 20 insertions(+), 11 deletions(-)
Comment 10 Tobias C. Berner freebsd_committer 2022-01-12 19:12:06 UTC
(In reply to VVD from comment #8)
Done.

mfg Tobias
Comment 11 commit-hook freebsd_committer 2022-01-12 19:12:41 UTC
A commit in branch 2022Q1 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=27353af91c4e12885b3737aa5ee94ff623023cc1

commit 27353af91c4e12885b3737aa5ee94ff623023cc1
Author:     Chris Moerz <freebsd@ny-central.org>
AuthorDate: 2022-01-12 19:08:42 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-01-12 19:11:34 +0000

    databases/sqldeveloper: Update to 21.4.1.349.1822

    PR:             260695
    Approved by:    VVD <vvd@unislabs.com> (maintainer)

    (cherry picked from commit e5c349d6921e520bbe75750928b273ce000878e0)

 databases/sqldeveloper/Makefile  |  2 +-
 databases/sqldeveloper/distinfo  |  6 +++---
 databases/sqldeveloper/pkg-plist | 23 ++++++++++++++++-------
 3 files changed, 20 insertions(+), 11 deletions(-)